summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2019-11-27 22:56:17 +0000
committerJames Le Cuirot <chewi@gentoo.org>2019-11-27 22:56:49 +0000
commit7c9eb809db0bebeb0c99f8fd6ac6a309171920eb (patch)
tree2c22b19f377cde8f69066571fd0d9e4314f4b6c8
parentgames-kids/tuxtype: Drop old 1.8.1-r1 (diff)
downloadgentoo-7c9eb809db0bebeb0c99f8fd6ac6a309171920eb.tar.gz
gentoo-7c9eb809db0bebeb0c99f8fd6ac6a309171920eb.tar.bz2
gentoo-7c9eb809db0bebeb0c99f8fd6ac6a309171920eb.zip
games-kids/tuxtype: Fix missing and optional dependencies
Closes: https://bugs.gentoo.org/701298 Package-Manager: Portage-2.3.80, Repoman-2.3.17 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
-rw-r--r--games-kids/tuxtype/metadata.xml3
-rw-r--r--games-kids/tuxtype/tuxtype-1.8.3-r1.ebuild (renamed from games-kids/tuxtype/tuxtype-1.8.3.ebuild)16
2 files changed, 15 insertions, 4 deletions
diff --git a/games-kids/tuxtype/metadata.xml b/games-kids/tuxtype/metadata.xml
index 52de2ed0b37..edb3136e701 100644
--- a/games-kids/tuxtype/metadata.xml
+++ b/games-kids/tuxtype/metadata.xml
@@ -8,4 +8,7 @@
<upstream>
<remote-id type="github">tux4kids/tuxtype</remote-id>
</upstream>
+ <use>
+ <flag name="pango">Render fonts using <pkg>media-libs/sdl-pango</pkg> instead of <pkg>media-libs/sdl-ttf</pkg></flag>
+ </use>
</pkgmetadata>
diff --git a/games-kids/tuxtype/tuxtype-1.8.3.ebuild b/games-kids/tuxtype/tuxtype-1.8.3-r1.ebuild
index b808b1e4682..ecbbdaebb72 100644
--- a/games-kids/tuxtype/tuxtype-1.8.3.ebuild
+++ b/games-kids/tuxtype/tuxtype-1.8.3-r1.ebuild
@@ -12,17 +12,19 @@ SRC_URI="https://github.com/tux4kids/${PN}/archive/upstream/${PV}.tar.gz -> ${P}
LICENSE="GPL-2 OFL-1.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="svg"
+IUSE="+pango svg"
DEPEND="acct-group/gamestat
+ dev-games/t4k-common
media-libs/libsdl[video]
media-libs/sdl-image
media-libs/sdl-mixer
- media-libs/sdl-pango
- media-libs/sdl-ttf
+ !pango? ( media-libs/sdl-ttf )
+ pango? ( media-libs/sdl-pango )
svg? ( gnome-base/librsvg:2 )"
RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/${PN}-upstream-${PV}"
@@ -32,13 +34,19 @@ PATCHES=(
src_prepare() {
xdg_src_prepare
+
+ # Fix broken linkage due to incorrect variable casing.
+ sed -i 's:$SDL_TTF:$SDL_ttf:g' configure.ac || die
+
eautoreconf
}
src_configure() {
econf \
--localedir="${EPREFIX}"/usr/share/locale \
- $(use_with svg rsvg)
+ $(use_with pango sdlpango) \
+ $(use_with svg rsvg) \
+ --without-sdlnet # Unused!
}
src_install() {